• If this is your first visit, you will have to register before you can post. To view messages, please scroll below and select the forum that you would like to visits. Questions? Be sure to check out the Forum FAQ.

Announcement

Collapse
No announcement yet.

Partner 728x90

Collapse

Could not install NinjaTrader 4 (due to .NET Framework issues)

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • trymph
    replied
    imported post

    reverted back to .NET 1.1 ...........all iswell

    Leave a comment:


  • trymph
    replied
    imported post

    Sent noteto email with a screen shot of the error after having installed net 2.0 and run a "register mechanic" clean up without the 1.1 which I cant seem to install completely.........getting closer..........

    I cant believe this cause on my other computer it all went so smooth......the problem started when we installed net 1.1 over the existing one.




    Leave a comment:


  • NinjaTrader_VinceB
    replied
    imported post

    Bruce,

    You also sent a note to [email protected] which I replied to. I have not had a respond yet. Can you please send me a note.

    Vince

    Leave a comment:


  • bruce9432
    replied
    imported post

    Having same problem...giving up

    Leave a comment:


  • NinjaTrader_Ray
    replied
    imported post

    I think the problem is .Net Version 2.

    You want to install MS .Net 1.1 located here -

    http://www.microsoft.com/downloads/d...displaylang=en

    Ray


    Leave a comment:


  • TraderPete
    replied
    imported post

    Hi Ray -

    So, I spent my evening wiping my entire disk clean, reinstalling XP, putting on Service Pack 2 and making all necessary updates. Allwas cool.

    I then went to install the .NET framework as specified by your setup program. The latest package for general use seems to be ".NET Framework Version 2.0 Redistributable Package Beta 1 (x86)" - I installed this and rebooted. I also went to "Windows UPdate" just to check if there were any further updates that I may need.

    However, when I went to install NinjaTrader I still got the message:

    "This setup requires the .NET Framework version 1.1.4322. Please install the .lNET Framework and run this setup again..."

    I tried to install all three versions on the website (NinjaTrader.Install, NinjaTrader.Install4028 and NTV3027) - all give me this error message.

    Please help - at this point, I am out of ideas (BTW, I have purchased a three-month subscription, but am unable to trade until I get this squared away). I know that I have a solid, clean copy of XP and that I have the latest .NET framework from the site that you point me to.

    Thanks,

    Pete


    Leave a comment:


  • NinjaTrader_Ray
    replied
    imported post

    Glad you got it squared away. I would like to make one suggestion - I would seriously consider upgrading to 528 MB RAM if not 1 GB. 192MB is seriously no where near enough.



    Ray

    Leave a comment:


  • TraderPete
    replied
    imported post

    Please disregard my last email. I will bite the bullet and wipe the disk so that I can do an XP re-install from scratch - this is the cleanest way to go. Thanks for your help - I look forward to starting to trade with the help of NinjaTrader!

    - Pete

    Leave a comment:


  • TraderPete
    replied
    imported post

    I initially had trouble installing XP (from the ME version that was originally on the machine). Since I did not have enough memory initially, once I upgraded to Service Pack 2, the PC never booted windows - it just got close and rebooted itself - creating a constant loop.

    Once I added more memory (I now have 192M with a 700 Mhz processor), I re-loaded Windows XP. However, since I didn't want to wipe the disk, it ended up installing a second XP folder (with a dual-boot option, which I ignore, since it defaults to the correct version).

    My question is - when the NinjaTrader install program looks for .NET, does it directly look into C:/Windows, or does it follow a path to the current version?

    Thanks,

    Pete

    Leave a comment:


  • NinjaTrader_Ray
    replied
    imported post

    I am unclear what you mean about having installed XP twice in two different folders? Doesn't XP exist on a PC only once?

    Leave a comment:


  • Could not install NinjaTrader 4 (due to .NET Framework issues)

    I am putting together a standalone (Windows XP Home Edition) box to run NinjaTrader. I downloaded the most recent version of the software and, upon trying to install it, got the message:

    The setup requires the .NET Framework version 1.1.4322. Please install the .NET Framework and run the setup again...

    I went to the Microsoft site, downloaded the package, did the install and rebooted:

    .NET Framework Versoin 2.0 Redistributable Package Beta 1 IA64 (64 Bit).

    However,I got the same message when I tried to install NinjaTrader again. The only odd thing about my system is that I had to install XP twice - once in the "WINDOWS" folder, and then once in the "WINDOWS2" folder - which is the current installation and where all the new software seems to go. It looks to me like the install script is looking only in the "WINDOWS" folder, which is not current.

    Is there a way around this (I should be able to have a "WINDOWS2" directory), or do I need to start completely from scratch again?

    - Pete


Latest Posts

Collapse

Topics Statistics Last Post
Started by Simon Thompson, Today, 11:00 PM
0 responses
2 views
0 likes
Last Post Simon Thompson  
Started by rontronimous, Today, 09:41 PM
0 responses
5 views
0 likes
Last Post rontronimous  
Started by 400396, Today, 09:34 PM
2 responses
11 views
0 likes
Last Post NinjaTrader_ChrisSch  
Started by sandman55, Today, 08:00 PM
0 responses
4 views
0 likes
Last Post sandman55  
Started by Oracletrades, Yesterday, 02:56 AM
1 response
11 views
0 likes
Last Post NinjaTrader_ChelseaB  
Working...
X